{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>
    {% if blog %}
      {{ blog.title }} @Nito-dev
    {% else %}
      Blog @Nito-dev
    {% endif %}
</title>
{% endblock meta %}

{% block content %}
<div class="container mt-5">
  {% if blog %}
  
    <article>
      <header class="mb-4">
        <h1 class="fw-bold">{{blog.title}}</h3>
        <div class="text-muted mb-2">Created at {{blog.created_at}} by Nito.</p>
      </header>
      <section class="mb-5">
        <p>{{blog.content|linebreaksbr}}</p>
        <div class="text-muted mb-2">Last updated at {{blog.updated_at}} by Nito.</p>
      </section>
    </article>
    <hr/>

    <h3 class="fw-bold mb-3 mt-3">Comments:</h3>
    
    {% for comment in comments %}
      <article class="mb-3">
        <header class="mb-3">
          <div class="text-muted mb-2"><b>{{comment.author.username}}</b> on {{comment.created_at}}:</p>
        </header>
        <section>
          <p class="mb-3">{{comment.content|linebreaksbr}}</p>
          {% if comment.author == user %}
            <a class="btn btn-outline-secondary" href="/blog/{{blog.url}}/put-comment/{{comment.id}}">Edit</a>
            <a class="btn btn-outline-danger" href="/blog/{{blog.url}}/delete-comment/{{comment.id}}">Delete</a>
          {% endif %}

        </section>
      </article>
      
    {% endfor %}
    <div class="mb-5">
      {% if user.is_authenticated %} 
        <a class="btn btn-primary" href="{{blog.url}}/post-comment">Add new comment</a></button>
      {% else %}
        <a class="btn btn-primary" href="/user/login">Login to add new comment</a></p> 
      {% endif %}
      <a class="btn btn-outline-secondary" href="/blog">Return to blogs</a>
    </div>
    

  {% else %}
    <p>Coming soon! <a href="/">Return to profile</a></p>
  {% endif %}
</div>
{% endblock content %}
